import "lodash";
import "./fullScreenAction.mjs";
import "../../datasource/utils/request.mjs";
import "mqtt";
import "nanoid";
import { SHJUtils as e } from "../../utils/index.mjs";
const a = (t, o) => {
  try {
    const r = e.getComponentRef(
      t.targetLayerId
    );
    r && r.ref[t.functionName](
      o,
      t.functionArgs
    );
  } catch {
  }
};
export {
  a as executeInvokeAction
};
